Subject: Re: [sfc] Shepherd Review of draft-ietf-sfc-oam-framework-10

From: Tal Mizrahi <[email-masked]>
Date: Tue, 15 Oct 2019 14:11:16 +0300

Dear authors,

This is a reminder that we are waiting for two authors to respond to the
IPR call - Sam and Ramki.

Cheers,
Tal.

On Wed, Sep 25, 2019 at 11:30 AM Tal Mizrahi <[email-masked]>
wrote:

> Hi Nagendra, authors,
>
> Many thanks for addressing the comments and posting the updated draft.
>
> We are still waiting for two remaining authors to respond to the IPR call:
>
> https://mailarchive.ietf.org/arch/msg/sfc/b5FHtp2IB-8MQLEMCZkOwnN5Aqk
>
> Once we complete the IPR call we can proceed with the publication process.
>
> Thanks,
> Tal.
>
> On Thu, Sep 19, 2019 at 11:31 PM Nagendra Kumar Nainar (naikumar) <
> [email-masked]> wrote:
>
>> Hi Tal,
>>
>>
>>
>> Thank you again for the review and comments. We have submitted a new
>> revision addressing the comments.
>>
>>
>>
>> A new version of I-D, draft-ietf-sfc-oam-framework-11.txt
>>
>> has been successfully submitted by Nagendra Kumar and posted to the
>>
>> IETF repository.
>>
>>
>>
>> Name:                  draft-ietf-sfc-oam-framework
>>
>> Revision:              11
>>
>> Title:                      Service Function Chaining (SFC) Operations,
>> Administration and Maintenance (OAM) Framework
>>
>> Document date:               2019-09-19
>>
>> Group:                  sfc
>>
>> Pages:                   21
>>
>> URL:
>> https://www.ietf.org/internet-drafts/draft-ietf-sfc-oam-framework-11.txt
>>
>> Status:
>> https://datatracker.ietf.org/doc/draft-ietf-sfc-oam-framework/
>>
>> Htmlized:
>> https://tools.ietf.org/html/draft-ietf-sfc-oam-framework-11
>>
>> Htmlized:
>> https://datatracker.ietf.org/doc/html/draft-ietf-sfc-oam-framework
>>
>> Diff:
>> https://www.ietf.org/rfcdiff?url2=draft-ietf-sfc-oam-framework-11
>>
>>
>>
>>
>>
>> Thanks,
>>
>> Nagendra
>>
>>
>>
>> *From: *Nagendra Kumar <[email-masked]>
>> *Date: *Tuesday, September 3, 2019 at 10:29 AM
>> *To: *Tal Mizrahi <[email-masked]>, "
>> [email-masked]" <
>> [email-masked]>, Service Function Chaining IETF
>> list <[email-masked]>, "[email-masked]" <[email-masked]>
>> *Subject: *Re: [sfc] Shepherd Review of draft-ietf-sfc-oam-framework-10
>> *Resent-From: *<[email-masked]>
>> *Resent-To: *<[email-masked]>, <[email-masked]>, Nagendra
>> Kumar <[email-masked]>, <[email-masked]>, <[email-masked]
>> >
>> *Resent-Date: *Tuesday, September 3, 2019 at 10:28 AM
>>
>>
>>
>> Hi Tal,
>>
>>
>>
>> Thank you for the comments. We will address the same and will submit a
>> new version.
>>
>>
>>
>> Regards,
>>
>> Nagendra
>>
>>
>>
>> *From: *sfc <[email-masked]> on behalf of Tal Mizrahi <
>> [email-masked]>
>> *Date: *Monday, September 2, 2019 at 1:14 AM
>> *To: *"[email-masked]" <
>> [email-masked]>, Service Function Chaining IETF
>> list <[email-masked]>, "[email-masked]" <[email-masked]>
>> *Subject: *[sfc] Shepherd Review of draft-ietf-sfc-oam-framework-10
>>
>>
>>
>> Hi,
>>
>>
>>
>> I am the assigned shepherd of draft-ietf-sfc-oam-framework-10.
>>
>> I believe the document is almost ready for publication.
>> I have a few (mostly editorial) comments, as follows.
>> It would be great if the authors could post a new version that addresses
>> these comments, and then we can proceed with the publication process.
>>
>>    - RFC 7498 is an informative reference, but the introduction says
>>    that the reader is expected to be familiar with it. I suggest to change
>>    either one or the other.
>>    - Is there a reason why RFC 8459 is a normative reference? I suggest
>>    to make it informative.
>>    - Regarding IOAM (Section 6.4.3) - the section describes the
>>    proof-of-transit draft, but should also mention
>>    - draft-ietf-sfc-ioam-nsh.
>>    - Section 1 (Introduction) lists the content in the rest of the
>>    sections, but does not mention Section 6, which suggests candidate tools.
>>    - "with the same" ==> "this terminology"
>>    - "The link layer, which is dependent upon the physical technology
>>    used." ==> "The link layer, which is tightly coupled with the physical
>>    technology used."
>>    - "depicts a sample example" ==> "depicts an example"
>>    - In Tables 3 and 4, it is not clear why some of the columns are
>>    separated by "|", and some are separated by "+".
>>    - "Tables 4" ==> "Table 4"
>>    - "for fast failure detection" - I suggest to remove the word fast,
>>    as BFD is not necessarily fast.
>>    - Section 6..4 says that "This section describes the applicability of
>>    some of the available toolsets in the service layer.", however, section
>>    "6.4.4 SFC Traceroute" describes a tool that was defined in an expired
>>    individual submission. I suggest to either remove section 6.4.4., or to
>>    explicitly mention that this draft has expired, and that a new tool can be
>>    defined along the lines of this proposal.
>>    - Section 3 describes three OAM components (SF, SFC, Classifier), but
>>    then Section 5 and Section 7 (Table 3, Table 4) do not refer to these three
>>    components, but to Underlay, Overlay, SF and SFC. Please be consistent, so
>>    that Section 5-7 refer to the same components that were defined in Section
>>    3.
>>    - Moreover, in Section 3, for each of the first two components (SF
>>    and SFC) there is a discussion about availability and performance
>>    measurement. However, for the third component (Classifier), there is no
>>    explicit discussion about availability and performance measurement. I
>>    suggest to add this missing discussion (even if these functions are not
>>    required, it is still important to mention this).
>>
>> Cheers,
>>
>> Tal.
>>
>